Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.application
Interface ModuleFTPOverSFTPDialogControl

All Known Implementing Classes:
  ModuleFTPOverSFTPDialogAWT, ModuleFTPOverSFTPDialogSwing

public interface ModuleFTPOverSFTPDialogControl

Field Summary
`static java.lang.String` | `DEFAULT_HOST`
`static java.lang.String` | `DEFAULT_PORT`
`static java.lang.String` | `LBL_BRIDGE_DISABLED`
`static java.lang.String` | `LBL_BROWSER`
`static java.lang.String` | `LBL_DISABLE`
`static java.lang.String` | `LBL_DISMISS`
`static java.lang.String` | `LBL_ENABLE`
`static java.lang.String` | `LBL_LISTEN_ADDR`
`static java.lang.String` | `LBL_LISTEN_PORT`
`static java.lang.String` | `LBL_REMOTE_IS_UNIX`
`static java.lang.String` | `LBL_REMOTE_IS_WINDOWS`
`static java.lang.String` | `LBL_REMOTE_SYSTEM`

Method Summary
`void` | `disposeDialog()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getPort()`
`void` | `initDialog(java.awt.event.ActionListener al, boolean showBrowse)`
`boolean` | `isRemoteSystemUnix()`
`void` | `setHost(java.lang.String host)`
`void` | `setMode(boolean enable)`
`void` | `setPort(java.lang.String port)`
`void` | `setRemoteSystemIsUnix(boolean yes)`
`void` | `setStatus(java.lang.String status)`
`void` | `showDialog()`

Field Detail

### LBL_LISTEN_ADDR

    public static final java.lang.String LBL_LISTEN_ADDR

See Also:
  Constant Field Values

### LBL_LISTEN_PORT

    public static final java.lang.String LBL_LISTEN_PORT

See Also:
  Constant Field Values

### LBL_BRIDGE_DISABLED

    public static final java.lang.String LBL_BRIDGE_DISABLED

See Also:
  Constant Field Values

### LBL_ENABLE

    public static final java.lang.String LBL_ENABLE

See Also:
  Constant Field Values

### LBL_DISABLE

    public static final java.lang.String LBL_DISABLE

See Also:
  Constant Field Values

### LBL_BROWSER

    public static final java.lang.String LBL_BROWSER

See Also:
  Constant Field Values

### LBL_DISMISS

    public static final java.lang.String LBL_DISMISS

See Also:
  Constant Field Values

### LBL_REMOTE_SYSTEM

    public static final java.lang.String LBL_REMOTE_SYSTEM

See Also:
  Constant Field Values

### LBL_REMOTE_IS_UNIX

    public static final java.lang.String LBL_REMOTE_IS_UNIX

See Also:
  Constant Field Values

### LBL_REMOTE_IS_WINDOWS

    public static final java.lang.String LBL_REMOTE_IS_WINDOWS

See Also:
  Constant Field Values

### DEFAULT_HOST

    public static final java.lang.String DEFAULT_HOST

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final java.lang.String DEFAULT_PORT

See Also:
  Constant Field Values

Method Detail

### initDialog

    public void initDialog(java.awt.event.ActionListener al,
                           boolean showBrowse)

### showDialog

    public void showDialog()

### disposeDialog

    public void disposeDialog()

### setHost

    public void setHost(java.lang.String host)

### setPort

    public void setPort(java.lang.String port)

### setRemoteSystemIsUnix

    public void setRemoteSystemIsUnix(boolean yes)

### setStatus

    public void setStatus(java.lang.String status)

### setMode

    public void setMode(boolean enable)

### getHost

    public java.lang.String getHost()

### getPort

    public java.lang.String getPort()

### isRemoteSystemUnix

    public boolean isRemoteSystemUnix()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD